Package org.apache.aries.jax.rs.whiteboard.internal.utils

## Class LogUtils

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.utils.LogUtils

    public class LogUtils
    extends Object

### Constructor Summary

Constructors
`LogUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.aries.component.dsl.Effect<Object>` `debugTracking​(org.slf4j.Logger log, Supplier<String> type)`
`static Consumer<Object>` `ifDebugEnabled​(org.slf4j.Logger log, Supplier<String> message)`
`static Consumer<Object>` `ifErrorEnabled​(org.slf4j.Logger log, Supplier<String> message)`
`static Consumer<Object>` `ifErrorEnabled​(org.slf4j.Logger log, Supplier<String> message, Throwable t)`
`static Consumer<Object>` `ifInfoEnabled​(org.slf4j.Logger log, Supplier<String> message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogUtils

    public LogUtils()

### Method Detail

#### debugTracking

    public static org.apache.aries.component.dsl.Effect<Object> debugTracking​(org.slf4j.Logger log,
                                                                              Supplier<String> type)

#### ifDebugEnabled

    public static Consumer<Object> ifDebugEnabled​(org.slf4j.Logger log,
                                                  Supplier<String> message)

#### ifInfoEnabled

    public static Consumer<Object> ifInfoEnabled​(org.slf4j.Logger log,
                                                 Supplier<String> message)

#### ifErrorEnabled

    public static Consumer<Object> ifErrorEnabled​(org.slf4j.Logger log,
                                                  Supplier<String> message)

#### ifErrorEnabled

    public static Consumer<Object> ifErrorEnabled​(org.slf4j.Logger log,
                                                  Supplier<String> message,
                                                  Throwable t)